#!/bin/bash
# Usage :
# ./net-dns_entry.sh [add|del] HOSTNAME IP

NETWORK="default"

CMD=$1
shift 
HOSTNAME=$1
shift 
IP=$1
shift 

if [ $CMD == "add" ]
then
	virsh net-update --live --config $NETWORK add dns-host "<host ip='${IP}'><hostname>${HOSTNAME}</hostname></host>";
elif [ $CMD == "del" ]
then
	virsh net-update --live --config $NETWORK delete dns-host "<host ip='${IP}'><hostname>${HOSTNAME}</hostname></host>";
else
	echo "Command should be 'add' or 'del'" && exit 1;
fi

