#!/bin/bash
BASE=debian-base
BASE_VG=vg0
BASE_ROOTFS=debian-base
BASE_XML=/root/libvirt/domains/debian-base.xml
BASE_DEV=/dev/mapper/vg0-rootfs--www
NEW=merles
NEW_VG=vg0
NEW_ROOTFS=rootfs-merles
NEW_ROOTFS_SZ=15G

DEV=/dev/$NEW_VG/$NEW_ROOTFS
lvcreate -L $NEW_ROOTFS_SZ -n $NEW_ROOTFS $NEW_VG
#dd if=$BASE_DEV of=/dev/$NEW_VG/$NEW_ROOTFS bs=4M
cp $BASE_XML /tmp/${NEW}.xml
sed -i "s/<name>.*<\/name>/<name>${NEW}<\/name>/" /tmp/${NEW}.xml
sed -i "s/<title>.*<\/title>/<title>${NEW}<\/title>/" /tmp/${NEW}.xml
sed -i "s/volume=.devuan-base./volume='${NEW_ROOTFS}'/" /tmp/${NEW}.xml
vim /tmp/${NEW}.xml

virsh pool-refresh $NEW_VG
virsh define --validate /tmp/${NEW}.xml

virsh start $NEW

